com.jscape.inet.mft.management.descriptors

## Class LDAPAuthenticationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AuthenticationServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.LDAPAuthenticationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class LDAPAuthenticationServiceDescriptor
      extends AuthenticationServiceDescriptor

  LDAP authentication service descriptor. The service described by this descriptor takes responsibility for authenticating incoming requests against LDAP entries.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_PORT`
    `static long` | `DEFAULT_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPAuthenticationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `LDAPAuthenticationServiceDescriptor(LDAPAuthenticationServiceDescriptor that)` Copy constructor.
    `LDAPAuthenticationServiceDescriptor(java.lang.String host, int port, long connectionTimeoutMillis, java.lang.String userDN, java.lang.String searchUserDN, java.lang.String password, java.lang.String baseDN, java.lang.String filter, java.lang.String accountTemplate, com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType, java.lang.String hasherClassName, boolean useSsl, boolean emptyPasswordAllowed, com.jscape.inet.mft.LdapFailoverServerParameters[] failoverServers)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAccountTemplate()` Returns the account template name.
    `java.lang.String` | `getBaseDN()` Returns base DN.
    `long` | `getConnectionTimeoutMillis()` Returns connection timeout millis.
    `boolean` | `getEmptyPasswordAllowed()` Returns empty password allowed flag.
    `com.jscape.inet.mft.LdapFailoverServerParameters[]` | `getFailoverServers()` Returns failover servers parameters.
    `java.lang.String` | `getFilter()` Returns authentication filter.
    `java.lang.String` | `getHasherClassName()` Returns password hasher class name.
    `java.lang.String` | `getHost()` Returns LDAP server host/IP.
    `java.lang.String` | `getPassword()` Returns LDAP server access password.
    `int` | `getPort()` Returns LDAP server port.
    `java.lang.String` | `getSearchUserDN()` Returns search user DN.
    `java.lang.String` | `getUserDN()` Returns user DN.
    `com.jscape.inet.mft.subsystems.authentication.UsernameConversionType` | `getUsernameConversionType()`
    `boolean` | `getUseSsl()` Returns SSL usage flag.
    `com.jscape.inet.mft.authentication.Hasher` | `hasher()`
    `void` | `setAccountTemplate(java.lang.String value)` Sets the account template name.
    `void` | `setBaseDN(java.lang.String value)` Sets base DN.
    `void` | `setConnectionTimeoutMillis(long value)` Sets connection timeout millis.
    `void` | `setEmptyPasswordAllowed(boolean value)` Sets empty password allowed flag.
    `void` | `setFailoverServers(com.jscape.inet.mft.LdapFailoverServerParameters[] value)` Sets failover servers parameters.
    `void` | `setFilter(java.lang.String value)` Sets authentication filter.
    `void` | `setHasherClassName(java.lang.String value)` Sets password hasher class name.
    `void` | `setHost(java.lang.String value)` Sets LDAP server host/IP
    `void` | `setPassword(java.lang.String value)` Sets LDAP server access password.
    `void` | `setPort(int value)` Sets LDAP server port.
    `void` | `setSearchUserDN(java.lang.String value)` Sets search user DN
    `void` | `setUserDN(java.lang.String value)` Sets user DN.
    `void` | `setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)`
    `void` | `setUseSsl(boolean value)` Sets SSL usage flag.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_TIMEOUT

          public static final long DEFAULT_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LDAPAuthenticationServiceDescriptor

          public LDAPAuthenticationServiceDescriptor(java.lang.String host,
                                                     int port,
                                                     long connectionTimeoutMillis,
                                                     java.lang.String userDN,
                                                     java.lang.String searchUserDN,
                                                     java.lang.String password,
                                                     java.lang.String baseDN,
                                                     java.lang.String filter,
                                                     java.lang.String accountTemplate,
                                                     com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType,
                                                     java.lang.String hasherClassName,
                                                     boolean useSsl,
                                                     boolean emptyPasswordAllowed,
                                                     com.jscape.inet.mft.LdapFailoverServerParameters[] failoverServers)

      Creates a new descriptor instance.
      Parameters:
        `host` - LDAP server host/IP
        `port` - LDAP server port
        `connectionTimeoutMillis` - connection timeout millis
        `userDN` - LDAP server access user DN
        `searchUserDN` - search user DN
        `password` - LDAP server access password
        `baseDN` - base DN
        `filter` - filter pattern
        `accountTemplate` - account template name
        `hasherClassName` - password hasher class name
        `useSsl` - SSL connection usage flag
        `emptyPasswordAllowed` - empty password allowed
        `failoverServers` - failover servers parameters

    - #### LDAPAuthenticationServiceDescriptor

          public LDAPAuthenticationServiceDescriptor(LDAPAuthenticationServiceDescriptor that)

      Copy constructor.
      Parameters:
        `that` - an instance to copy

    - #### LDAPAuthenticationServiceDescriptor

          public LDAPAuthenticationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getHost

          public java.lang.String getHost()

      Returns LDAP server host/IP.
      Returns:
        LDAP server host/IP

    - #### setHost

          public void setHost(java.lang.String value)

      Sets LDAP server host/IP
      Parameters:
        `value` - LDAP server host/IP

    - #### getPort

          public int getPort()

      Returns LDAP server port.
      Returns:
        LDAP server port

    - #### setPort

          public void setPort(int value)

      Sets LDAP server port.
      Parameters:
        `value` - LDAP server port

    - #### getConnectionTimeoutMillis

          public long getConnectionTimeoutMillis()

      Returns connection timeout millis.
      Returns:
        connection timeout millis

    - #### setConnectionTimeoutMillis

          public void setConnectionTimeoutMillis(long value)

      Sets connection timeout millis.
      Parameters:
        `value` - connection timeout millis

    - #### getUserDN

          public java.lang.String getUserDN()

      Returns user DN.
      Returns:
        user DN

    - #### setUserDN

          public void setUserDN(java.lang.String value)

      Sets user DN.
      Parameters:
        `value` - user DN

    - #### getSearchUserDN

          public java.lang.String getSearchUserDN()

      Returns search user DN.
      Returns:
        search user DN

    - #### setSearchUserDN

          public void setSearchUserDN(java.lang.String value)

      Sets search user DN
      Parameters:
        `value` - search user DN

    - #### getPassword

          public java.lang.String getPassword()

      Returns LDAP server access password.
      Returns:
        LDAP server access password

    - #### setPassword

          public void setPassword(java.lang.String value)

      Sets LDAP server access password.
      Parameters:
        `value` - LDAP server access password

    - #### getBaseDN

          public java.lang.String getBaseDN()

      Returns base DN.
      Returns:
        base DN

    - #### setBaseDN

          public void setBaseDN(java.lang.String value)

      Sets base DN.
      Parameters:
        `value` - base DN

    - #### getFilter

          public java.lang.String getFilter()

      Returns authentication filter.
      Returns:
        authentication filter

    - #### setFilter

          public void setFilter(java.lang.String value)

      Sets authentication filter.
      Parameters:
        `value` - authentication filter

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns the account template name.
      Returns:
        the account template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets the account template name.
      Parameters:
        `value` - the account template name

    - #### getUsernameConversionType

          public com.jscape.inet.mft.subsystems.authentication.UsernameConversionType getUsernameConversionType()

    - #### setUsernameConversionType

          public void setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)

    - #### getHasherClassName

          public java.lang.String getHasherClassName()

      Returns password hasher class name.
      Returns:
        password hasher class name

    - #### setHasherClassName

          public void setHasherClassName(java.lang.String value)

      Sets password hasher class name.
      Parameters:
        `value` - password hasher class name

    - #### getUseSsl

          public boolean getUseSsl()

      Returns SSL usage flag.
      Returns:
        `true` if SSL conection should be used `false` otherwise

    - #### setUseSsl

          public void setUseSsl(boolean value)

      Sets SSL usage flag.
      Parameters:
        `value` - if `true` SSL connection will be used

    - #### getEmptyPasswordAllowed

          public boolean getEmptyPasswordAllowed()

      Returns empty password allowed flag.
      Returns:
        `true` if empty password is allowed; `false` otherwise

    - #### setEmptyPasswordAllowed

          public void setEmptyPasswordAllowed(boolean value)

      Sets empty password allowed flag.
      Parameters:
        `value` - if `true` the empty password will be allowed due authentication

    - #### getFailoverServers

          public com.jscape.inet.mft.LdapFailoverServerParameters[] getFailoverServers()

      Returns failover servers parameters.
      Returns:
        failover servers parameters

    - #### setFailoverServers

          public void setFailoverServers(com.jscape.inet.mft.LdapFailoverServerParameters[] value)

      Sets failover servers parameters.
      Parameters:
        `value` - failover server parameters

    - #### hasher

          public com.jscape.inet.mft.authentication.Hasher hasher()
                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved